%define anolis_release 2
%global modname cssselect

%bcond_without tests

Name:           python-cssselect
Version:        1.1.0
Release:        %{anolis_release}%{?dist}
Summary:        Parses CSS3 Selectors and translates them to XPath 1.0

License:        BSD
URL:            https://github.com/scrapy/cssselect
Source0:        %{url}/archive/v%{version}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

%global _description \
Cssselect parses CSS3 Selectors and translates them to XPath 1.0 expressions.\
Such expressions can be used in lxml or another XPath engine to find the\
matching elements in an XML or HTML document.

%description %{_description}

%package -n python3-%{modname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%if %{with tests}
BuildRequires:  python3-lxml
BuildRequires:  python3-pytest
%endif

%description -n python3-%{modname} %{_description}

Python 3 version.

%package -n python3-%{modname}-doc
Summary:        doc files for python3-%{modname}
Requires:       python3-%{modname} = %{EVR}

%description -n python3-%{modname}-doc
doc files for python3-%{modname}

%prep
%autosetup -n %{modname}-%{version}

%build
%py3_build

%install
%py3_install

%if %{with tests}
%check
%pytest
%endif

%files -n python3-%{modname}
%license LICENSE
%{python3_sitelib}/%{modname}-*.egg-info/
%{python3_sitelib}/%{modname}/

%files -n python3-%{modname}-doc
%doc README.rst CHANGES AUTHORS

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.1.0-2
- Rebuild with python3.11

* Sat Mar 25 2023 happy_orange <songnannan@linux.alibaba.com> - 1.1.0-1
- init package from upstream
